Re: [Qgis-user] A discussion: is qgis still affordable in Europe if it violate the Inspire directive ?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [Qgis-user] A discussion: is qgis still affordable in Europe if it violate the Inspire directive ?

Maurizio Trevisani
If Qgis-server and Qgis choose not to be compliant with OGC standards,
they are prone to be abandoned from every Public Administration.

I think this is an important question to consider before proceeding in
developing Qgis and Qgis server as "not OGC compliant" products.


by,
Maurizio

2014-06-07 20:19 GMT+02:00, Andrea Peri <[hidden email]>:

> Hi,
>
> AFAIK the qgis server is not complaint with Inspire.
>
> This beacausethe Response to GetCapabilities is not responding to the
> requisite that the OGC will require for it.
>
> Originally the qgis was simply generate an incompatible response for the
> XSD of OGC.
>
> The response is ncompatible for thre thinks:
>
> 1) the GetCapabilities is in the wrong namespace.
> This is a silly question anc could be easily resolved.
>
> 2)
> The presence of the GetStyle that is dismissed from OGC wms 1.3.0.
> Please notice that the Inspire require the WMS 1.3.0 .
> To resolve this the QGIS groups has copied the XSD of OGC and modifica it
> to redirect to a different XSD not in the OGC site.
>
> 3) The presence of a Proprietary tag inserted without any reference to any
> standard.
> The GetPrint.
> This is not present in any other product.
>
> My question is for any person of a Public Administration that plan or are
> funding QGIS.
>
> In Europe the Inspire directive will ask to promove the Interoperability.
>
> The interoperability strategy ask that every produc that allow the inspire
> directive will speak the same language using the same tags and
> functionality.
>
> The QGIS solution to add a proprietary tag and to write a own different xsd
> that overlap the standard OGC xsd will create the presuppost (AFAIK) to
> vilate the Inspire directive.
>
> If this is true A Public Administration should not use the QGIS.
>
> This is a realproblem for us that invest many fund on qgis.
>
> So I like toknow the opinion of other public administration.
>
> Before still fund a product that seem to violate the Inspire directive
> principles.
>
> Thx,
>
>
> --
> -----------------
> Andrea Peri
> . . . . . . . . .
> qwerty àèìòù
> -----------------
>
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
666+40 iscritti al 5.6.2014
Reply | Threaded
Open this post in threaded view
|

Re: [Qgis-user] A discussion: is qgis still affordable in Europe if it violate the Inspire directive ?

andrea giacomelli-2

Buongiorno,

Non sono attualmente iscritto alla mailing list qgis-user e quindi potrei non aver ricevuto tutti i riscontri...volevo sapere se  è stata confermata l'analisi proposta sotto e ci sono stati sviluppi nella discussione.

Grazie!

Andrea Giacomelli

http://www.pibinko.org




Il 07/giu/2014 20:34 "Maurizio Trevisani" <[hidden email]> ha scritto:
If Qgis-server and Qgis choose not to be compliant with OGC standards,
they are prone to be abandoned from every Public Administration.

I think this is an important question to consider before proceeding in
developing Qgis and Qgis server as "not OGC compliant" products.


by,
Maurizio

2014-06-07 20:19 GMT+02:00, Andrea Peri <[hidden email]>:
> Hi,
>
> AFAIK the qgis server is not complaint with Inspire.
>
> This beacausethe Response to GetCapabilities is not responding to the
> requisite that the OGC will require for it.
>
> Originally the qgis was simply generate an incompatible response for the
> XSD of OGC.
>
> The response is ncompatible for thre thinks:
>
> 1) the GetCapabilities is in the wrong namespace.
> This is a silly question anc could be easily resolved.
>
> 2)
> The presence of the GetStyle that is dismissed from OGC wms 1.3.0.
> Please notice that the Inspire require the WMS 1.3.0 .
> To resolve this the QGIS groups has copied the XSD of OGC and modifica it
> to redirect to a different XSD not in the OGC site.
>
> 3) The presence of a Proprietary tag inserted without any reference to any
> standard.
> The GetPrint.
> This is not present in any other product.
>
> My question is for any person of a Public Administration that plan or are
> funding QGIS.
>
> In Europe the Inspire directive will ask to promove the Interoperability.
>
> The interoperability strategy ask that every produc that allow the inspire
> directive will speak the same language using the same tags and
> functionality.
>
> The QGIS solution to add a proprietary tag and to write a own different xsd
> that overlap the standard OGC xsd will create the presuppost (AFAIK) to
> vilate the Inspire directive.
>
> If this is true A Public Administration should not use the QGIS.
>
> This is a realproblem for us that invest many fund on qgis.
>
> So I like toknow the opinion of other public administration.
>
> Before still fund a product that seem to violate the Inspire directive
> principles.
>
> Thx,
>
>
> --
> -----------------
> Andrea Peri
> . . . . . . . . .
> qwerty àèìòù
> -----------------
>
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
666+40 iscritti al 5.6.2014

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
666+40 iscritti al 5.6.2014
Reply | Threaded
Open this post in threaded view
|

Re: [Qgis-user] A discussion: is qgis still affordable in Europe if it violate the Inspire directive ?

stefano campus
Administrator
puoi comunque seguire la discussione qua

s.
Reply | Threaded
Open this post in threaded view
|

Re: [Qgis-user] A discussion: is qgis still affordable in Europe if it violate the Inspire directive ?

andrea giacomelli-2


grazie Stefano.

un'occhiata l'ho data.
mi pare un buon esercizio per l'ecosistema gfoss (in generale, non parlo di GFOSS.it)
sarebbe interessante se qualcuno (meglio se vicino ai tavoli delle strategie di sviluppo del sistema in oggetto facesse un po' di sintesi), ché nel thread si mescolano vari aspetti e la questione di dirama da un lato sui tecnicismi, importanti poi per dare le soluzioni tecniche, e questioni più gestionali.

un saluto!

a.
http://www.pibinko.org

p.s. a parte la possibilità di finanziare la compliance di un pacchetto, c'è poi sempre la possibilità (che quando si arriva nella fase finale della settimana sale nelle quotazioni dei bookmaker) di modificare le specifiche e/o le direttive ;)

Il 20/giu/2014 10:57 "stefano campus" <[hidden email]> ha scritto:
>
> puoi comunque seguire la discussione  qua
> <http://osgeo-org.1560.x6.nabble.com/>
>
> s.
>


_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
666+40 iscritti al 5.6.2014